## dpkg 0.6.0

=== DESCRIPTION ===
Package: dpkg
Title: Create, Stow, and Read Data Packages
Version: 0.6.0
Authors@R: 
    person("Cole", "Brokamp", , "cole@colebrokamp.com", role = c("aut", "cre", "cph"),
           comment = c(ORCID = "0000-0002-0289-3151"))
Description: Data frame, tibble, or tbl objects are converted to data package objects using specific metadata labels (name, version, title, homepage, description). A data package object ('dpkg') can be written to disk as a 'parquet' file or released to a 'GitHub' repository. Data package objects can be read into R from online repositories and downloaded files are cached locally across R sessions.
License: MIT + file LICENSE
Encoding: UTF-8
RoxygenNote: 7.3.2
Suggests: dplyr, geoarrow, gert, gh, sf, testthat (>= 3.0.0), usethis,
        withr
Config/testthat/edition: 3
URL: https://github.com/cole-brokamp/dpkg,
        https://cole-brokamp.github.io/dpkg/
BugReports: https://github.com/cole-brokamp/dpkg/issues
Imports: arrow, cli, fs, glue, httr2, rlang, tibble
NeedsCompilation: no
Packaged: 2024-10-31 21:35:51 UTC; cole
Author: Cole Brokamp [aut, cre, cph] (<https://orcid.org/0000-0002-0289-3151>)
Maintainer: Cole Brokamp <cole@colebrokamp.com>
Repository: CRAN
Date/Publication: 2024-11-04 12:40:09 UTC

## dpkg 0.6.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: dpkg
 Title: Create, Stow, and Read Data Packages
-Version: 0.6.0
+Version: 0.6.1
 Authors@R: 
     person("Cole", "Brokamp", , "cole@colebrokamp.com", role = c("aut", "cre", "cph"),
            comment = c(ORCID = "0000-0002-0289-3151"))
@@ -16,8 +16,8 @@
 BugReports: https://github.com/cole-brokamp/dpkg/issues
 Imports: arrow, cli, fs, glue, httr2, rlang, tibble
 NeedsCompilation: no
-Packaged: 2024-10-31 21:35:51 UTC; cole
+Packaged: 2025-01-08 21:04:25 UTC; cole
 Author: Cole Brokamp [aut, cre, cph] (<https://orcid.org/0000-0002-0289-3151>)
 Maintainer: Cole Brokamp <cole@colebrokamp.com>
 Repository: CRAN
-Date/Publication: 2024-11-04 12:40:09 UTC
+Date/Publication: 2025-01-08 21:30:07 UTC

## dpkg 0.6.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: dpkg
 Title: Create, Stow, and Read Data Packages
-Version: 0.6.1
+Version: 0.6.2
 Authors@R: 
     person("Cole", "Brokamp", , "cole@colebrokamp.com", role = c("aut", "cre", "cph"),
            comment = c(ORCID = "0000-0002-0289-3151"))
@@ -8,16 +8,18 @@
 License: MIT + file LICENSE
 Encoding: UTF-8
 RoxygenNote: 7.3.2
-Suggests: dplyr, geoarrow, gert, gh, sf, testthat (>= 3.0.0), usethis,
-        withr
+Depends: R (>= 4.1.0)
+Suggests: dplyr, digest, geoarrow, gert, gh, sf, testthat (>= 3.0.0),
+        usethis, withr
 Config/testthat/edition: 3
 URL: https://github.com/cole-brokamp/dpkg,
         https://cole-brokamp.github.io/dpkg/
 BugReports: https://github.com/cole-brokamp/dpkg/issues
 Imports: arrow, cli, fs, glue, httr2, rlang, tibble
 NeedsCompilation: no
-Packaged: 2025-01-08 21:04:25 UTC; cole
-Author: Cole Brokamp [aut, cre, cph] (<https://orcid.org/0000-0002-0289-3151>)
+Packaged: 2026-01-23 18:53:20 UTC; cole
+Author: Cole Brokamp [aut, cre, cph] (ORCID:
+    <https://orcid.org/0000-0002-0289-3151>)
 Maintainer: Cole Brokamp <cole@colebrokamp.com>
 Repository: CRAN
-Date/Publication: 2025-01-08 21:30:07 UTC
+Date/Publication: 2026-01-23 19:30:02 UTC

## dpkg 1.4.0.5

=== debian/changelog ===
dpkg (1.4.0.5) stable frozen unstable; urgency=medium

  * Distribution for frozen too.

 -- Heiko Schlittermann <heiko@lotte.sax.de>  Thu, 5 Dec 1996 09:13:42 +0100

dpkg (1.4.0.4) stable unstable; urgency=medium

  * Bug2962 fixed: patch from Ian Jackson applied
    (cursor keys won't work after search)
  * Manuals 2.1.2.2

 -- Heiko Schlittermann <heiko@lotte.sax.de>  Fri, 15 Nov 1996 20:21:18 +0100

dpkg (1.4.0.3) unstable; urgency=medium

  * dpkg-source -x: created bad permissions (set x-bit for
    all files pointed to by a symlink)

 -- Heiko Schlittermann <heiko@lotte.sax.de>  Fri, 18 Oct 1996 18:32:06 +0200

dpkg (1.4.0.2) unstable; urgency=medium

  * dpkg-buildpackage.sh: reverted the quoting change -- (you
    should use super, sudo, realy, but not su.  Or write a wrapper
    around su)
  * dpkg-buildpackge.sh: passing -m, -C, -v options to dpkg-genchanges
    more the way Ian likes ;-)
  * dpkg-source.pl: new function deoctify() as replacement for eval()
    (turn \ddd into the corresponding character) [rem: probably better
    solution would be to convert cpios output names into complete \ddd 
    representation as well tars output names] 
  * dpkg-source.pl: fixed 2 typos in failure message on creating 
    $origtargz.tmp-nest.
  * main/main.c: typo `tread' -> `treat'
  * main/enquiry.c: fixed the ignorance for some relations in --compare-versions
  * main/enquiry.c: missing version is now handled as described in `dpkg --help'
    (or at least as I understood `dpkg --help' PLEASE TRY IT)
  * lib/parsehelp.c: fixed parsing of epoch information

 -- Heiko Schlittermann <heiko@lotte.sax.de>  Sun, 6 Oct 1996 23:27:47 +0200

dpkg (1.4.0.1) unstable; urgency=medium

  * dpkg-source: doesn't get screwed up from hardlinks
    in the archive now
  * dpkg-source: doesn't get screwed up from `unprintable' characters
    in file names (e.g. from the kbd package) 
  * controllib.pl: $varlistvile -> $varlistfile (thanx Karl Sackett)
  * dpkg-buildpackge: quoting for $rootcommand (thanx  Michael Meskes)
    and `eval' as default $rootcommand
  * dpkg-*, controllib.pl: created debian/files and debian/substvars
    are chown'ed to `getlogin()' and its group
  * doc/: mv changed to mv -f
  * dpkg-buildpackage: added an option -a for overriding the
    architecture in the changes _file_name_
  * dpkg-buildpackage: pass -m* -v* .. options to dpgk-genchangelog
  * dpkg-name moved to dpkg-dev

 -- Heiko Schlittermann <heiko@lotte.sax.de>  Sat, 21 Sep 1996 22:06:01 +0200

dpkg (1.4.0) unstable; urgency=low (HIGH for new source format)

  * Corrected buffer overrun when dpkg-deb generates filename.  (Bug#4467.)
  * dpkg-shlibdeps works with DEBIAN/shlibs (thanks Heiko Schlittermann).
  * Added libm.so.5 to shlibs.default for i386/m68k.

  * Split binary package into two: dpkg and dpkg-dev.
  * dpkg-source(1) documents mode and ownership setting during extraction.

  * dpkg-scanpackages moved to /usr/bin.
  * Include /usr/bin/dpkg-deb, not dpkg-deb.dist; don't rename in scripts.
  * Copyright file changed slightly.
  * debian-changelog-mode uses magic key substitution strings.  (Bug#4419.)
  * Changed email address in control file to <ian@chiark.greenend.org.uk>.
  * Manuals and own Standards-Version: updated to 2.1.1.0.

 -- Ian Jackson <ian@chiark.greenend.org.uk>  Thu, 12 Sep 1996 01:13:33 +0100

dpkg (1.3.14) unstable; urgency=low

  * dpkg-buildpackage new -tc (clean source tree) option.

  * Formatted documentation removed by `make clean' and so not in source.
  * Manuals and own Standards-Version: updated to 2.1.0.0.
  * Distribute {policy,programmer}.{html.tar,ps}.gz with each upload.

 -- Ian Jackson <ian@chiark.chu.cam.ac.uk>  Sun, 1 Sep 1996 20:43:40 +0100

dpkg (1.3.13) unstable; urgency=low (HIGH for building new src X programs)

  * X shared libraries added to shlibs.default (=> `elf-x11r6lib').
  * dpkg-source tar invocation fixed so that TAPE env var doesn't break it.
  * dpkg-source copes better with missing final newline messages from diff.

  * dpkg-buildpackage usage message fixed: -si is the default.  (Bug#4350.)
  * dpkg-source error message about src dir mismatch typo fixed.  (Bug#4349.)

  * dpkg-source(1) has suggestions for dpkg-buildpackage -r option.
  * dpkg-source change date fixed.  (Bug#4351.)
  * More developers' keys.
  * Manual updates, own Standards-Version updated.

 -- Ian Jackson <ian@chiark.chu.cam.ac.uk>  Sat, 31 Aug 1996 20:08:18 +0100

dpkg (1.3.12) unstable; urgency=medium

  * dpkg prints old version number when upgrading.  (Bug#4340.)
  * dpkg-deb tries to detect and flag corruption by ASCII download.

  * dpkg-genchanges and dpkg-buildpackage say what source is included.

  * dpkg-buildpackage passes +clearsig=on to PGP (or pgpcommand).  (Bug#4342.)

  * dpkg-source prints better error for cpio not honouring -0t.
  * control file Suggests cpio >= 2.4.2, rather than just cpio.

 -- Ian Jackson <ian@chiark.chu.cam.ac.uk>  Fri, 30 Aug 1996 15:31:51 +0100

dpkg (1.3.11) unstable; urgency=low

  * EBUSY when dpkg removes a directory is only a warning.

  * dpkg-genchanges generates sensible warning (not confusing error
    about mismatch) for missing Section/Priority in binary packages.

  * Added dpkg --print-gnu-build-architecture option.
  * shlibs.default for m68k provided, as a copy of i386 version.

 -- Ian Jackson <ian@chiark.chu.cam.ac.uk>  Thu, 29 Aug 1996 14:05:02 +0100

dpkg (1.3.10) unstable; urgency=medium

  * dpkg-source(1) manpage alias symlinks are not dangling.
  * dselect selects things by default if they are installed.
  * Added `pentium' as alias for `i386' architecture.
  * Added `Suggests: cpio, patch' and explanatory text to Description.
    (Bugs #4262, #4263.)

  * More developers' PGP keys.
  * Manual updates, new source format released.

 -- Ian Jackson <ian@chiark.chu.cam.ac.uk>  Mon, 26 Aug 1996 14:30:44 +0100

dpkg (1.3.9) unstable; urgency=low (high for new source format)



=== debian/control ===
Source: dpkg
Section: base
Priority: required
Maintainer: Ian Jackson <ian@chiark.greenend.org.uk>
Standards-Version: 2.1.0.0

Package: dpkg
Architecture: any
Essential: yes
Pre-Depends: ${shlibs:Pre-Depends}
Description: Package maintenance system for Debian Linux
 This package contains the programs which handle the installation and
 removal of packages on your system.
 .
 The primary interface for the dpkg suite is the `dselect' program;
 a more low-level and less user-friendly interface is available in
 the form of the `dpkg' command.
 .
 In order to unpack and build Debian source packages you will need to
 install the developers' package `dpkg-dev' as well as this one.

Package: dpkg-dev
Section: devel
Priority: important
Architecture: all
Recommends: cpio (>= 2.4.2-2), patch
Conflicts: dpkgname
Replaces: dpkgname, dpkg (<< 1.4.0)
Description: Package building tools for Debian Linux
 This package contains the tools (including dpkg-source) required to
 unpack, build and upload Debian source packages.  It also contains
 the programmers' and Debian policy manuals, which are the
 documentation for package developers.
 .
 `cpio' and `patch' are also required to manipulate source packages.
 Some older cpios are insufficient - use at least 2.4.2-2.
 .
 Most Debian source packages will require additional tools to build -
 for example, most packages need the `make' and the C compiler `gcc'.

=== debian/rules ===
#!/usr/bin/make -f

DIR:=$(shell pwd)

arch=$(shell dpkg --print-architecture)
mcidir=debian/tmp-main/DEBIAN

build:
	$(checkdir)
	./configure --prefix=/usr
	$(MAKE)
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) -i distclean || $(MAKE) -f Makefile.in -i distclean
	-rm -rf debian/tmp* *~ *.orig ./#*# tmp.* debian/files*
	-rm -f config.cache config.status config.h install config.log
	find -name '*~' -print0 | xargs -r0 rm --

binary:		binary-arch binary-indep

binary-trees:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp-{main,dev}
	install -d debian/tmp-{main,dev}/{DEBIAN,etc/dpkg,usr/doc/dpkg}
	install -d debian/tmp-dev/usr/{lib/dpkg,doc/dpkg-dev,man/man1,man/man8,sbin,bin}
	set -e; if [ $(arch) = i386 ]; then \
		sed -e 's/^# i386elf: //' <debian/preinst >$(mcidir)/preinst ; \
	else \
		sed -e '/^# i386elf: /d' debian/preinst >$(mcidir)/preinst ; \
	fi
	set -e; if [ -f debian/shlibs.default.$(arch) ]; then \
		echo /etc/dpkg/shlibs.default >debian/tmp-dev/DEBIAN/conffiles ; \
		cp debian/shlibs.default.$(arch) \
			debian/tmp-dev/etc/dpkg/shlibs.default ; \
	fi
	cp debian/{prerm,postinst} $(mcidir)/.
	chmod +x $(mcidir)/{postinst,prerm,preinst}
	$(MAKE) prefix=$(DIR)/debian/tmp-main/usr \
		datadir=$(DIR)/debian/tmp-main/var/lib/dpkg \
		etcdir=$(DIR)/debian/tmp-main/etc \
		install
	find debian/tmp-main/usr/man -type f | xargs gzip -9v
	set -e; for f in dpkg-buildpackage dpkg-gencontrol dpkg-distaddfile \
		  dpkg-parsechangelog dpkg-genchanges dpkg-shlibdeps; do \
		rm debian/tmp-main/usr/man/man1/$$f.1; \
		ln -s dpkg-source.1.gz debian/tmp-main/usr/man/man1/$$f.1.gz ; \
	done
	gzip -9v debian/tmp-main/usr/doc/dpkg/changelog.*
	cp debian/copyright debian/tmp-main/usr/doc/dpkg/copyright
	cp debian/copyright debian/tmp-dev/usr/doc/dpkg-dev/copyright
	cp debian/dev-README debian/tmp-dev/usr/doc/dpkg-dev/README
	cp TODO debian/tmp-dev/usr/doc/dpkg/WISHLIST
	set -e; for f in \
 usr/doc/dpkg/{programmer.html,policy.html,developer-keys.pgp,changelog.manuals.gz} \
 usr/bin/dpkg-{source,genchanges,gencontrol,shlibdeps,buildpackage,parsechangelog} \
 usr/bin/{dpkg-distaddfile,822-date,dpkg-scanpackages,dpkg-name} \
 usr/man/man1/dpkg-{source,genchanges,gencontrol,shlibdeps,buildpackage}.1.gz \
 usr/man/man1/{dpkg-parsechangelog,dpkg-distaddfile,822-date,dpkg-name}.1.gz \
 usr/man/man5 usr/man/man8/dpkg-scanpackages.8.gz usr/lib/emacs \
 usr/lib/dpkg/parsechangelog usr/lib/dpkg/controllib.pl \
		; do mv debian/tmp-main/$$f debian/tmp-dev/$$f; done

binary-indep:	checkroot build binary-trees
	$(checkdir)
	dpkg-gencontrol -pdpkg-dev -Pdebian/tmp-dev
	chown -R root.root debian/tmp-dev
	chmod -R g-ws,a+r,u+w debian/tmp-dev
	dpkg-deb --build debian/tmp-dev ..
	set -e -x; cd doc; for f in policy programmer; do \
		debiandoc2ps -pa4 -O $$f.sgml | gzip -9v >../../$$f.ps.gz; \
		dpkg-distaddfile -f../debian/files $$f.ps.gz byhand -; \
		GZIP=-9v tar zcf ../../$$f.html.tar.gz $$f.html; \
		dpkg-distaddfile -f../debian/files $$f.html.tar.gz byhand -; \
	done

binary-arch:	checkroot build binary-trees
	touch debian/tmp-main/var/lib/dpkg/{status,available}
	dpkg-shlibdeps -dPre-Depends main/dpkg dselect/dselect
	dpkg-gencontrol -pdpkg -Pdebian/tmp-main
	chown -R root.root debian/tmp-main
	chmod -R g-ws,a+r,u+w debian/tmp-main
	set -e; cd debian/tmp-main; \
	 version=`sed -n 's/^Version: //p' DEBIAN/control`; \
	 file=dpkg_$${version}_$(arch).nondebbin.tar; \
	 tar cf ../../../$${file} usr var && gzip -9vf ../../../$${file}; \
	 cd ../..; dpkg-distaddfile $${file}.gz byhand -
	rm debian/tmp-main/var/lib/dpkg/{status,available}
	dpkg-deb --build debian/tmp-main ..

define checkdir
	test -f include/dpkg.h
endef

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary source diff clean checkroot

## dpkg 1.4.0.8

=== debian/changelog ===
dpkg (1.4.0.8) unstable; urgency=medium

  * Corrected update-rc.d for bash 2.0
  * Updated developer-keys.pgp from
    http://www.iki.fi/liw/debian/debian-keyring.tar.gz

 -- Guy Maor <maor@ece.utexas.edu>  Mon, 3 Feb 1997 04:05:01 -0600

dpkg (1.4.0.7) stable unstable; urgency=HIGH

  * Fixed --assert-support-predepends failing between unpack & configure.
  * Added --assert-working-epoch option.

 -- Guy Maor <maor@ece.utexas.edu>  Sat, 25 Jan 1997 23:02:11 -0600

dpkg (1.4.0.6) stable unstable; urgency=high

  * Patched lib/vercmp.c to hopefully fix dselect epoch processing
    (Bug#6204), (Bug#4590).
  * Patched scripts/dpkg-buildpackage, scripts/dpkg-genchanges,
    scripts/dpkg-gencontrol for epoch processing, courtesy of Loic Prylli 
    <lprylli@graville.fdn.fr> (Bug#6138).
  * Patched dpkg-genchanges to actually honor the -u switch to specify
    directory (Bug#5564).
  * Applied patch to main/archive.c to correct problems setting set[gu]id
    binaries, courtesy of Herbert Xu <herbert@greathan.apana.org.au>
    (Bug#5479). 
  * Applied patch to dpkg-source to correct debian-only package names,
    courtesy of Guy Maor <maor@ece.utexas.edu> (Bug#5355).

 -- Michael Alan Dorman <mdorman@calder.med.miami.edu>  Thu, 2 Jan 1997 11:36:09 -0500

## dpkg 1.4.0.23.2

=== debian/changelog ===
dpkg (1.4.0.23.2) frozen unstable; urgency=low

  * Non-maintainer upload.
  * dpkg/main.c: Turn --force-overwrite back on as default.

 -- James Troup <jjtroup@comp.brad.ac.uk>  Tue, 23 Jun 1998 22:19:26 +0200

dpkg (1.4.0.23.1) frozen unstable; urgency=low

  * No real changes, only a new version code to make this go to frozen too.

 -- Nils Rennebarth <nils@debian.org>  Wed, 10 Jun 1998 17:29:58 +0200

dpkg (1.4.0.23) frozen unstable; urgency=low

  * Non-maintainer bug-fix release
  * Update the disk method to the hamm directory structure (Bug#21000)

 -- Nils Rennebarth <nils@debian.org>  Sun,  7 Jun 1998 19:14:51 +0200

dpkg (1.4.0.22) frozen unstable; urgency=medium

  * Non-maintainer bug-fix release
  * Install main changelog file as `changelog.gz' instead of
    `changelog.dpkg.gz' (Debian Policy, section 5.8) (Bug#6052,15157)
  * Avoid use of /tmp/*.$$ in preinst and postinst (Bug#19712)
  * Make sure diversions file is always created with mode 0644 (Bug#19494)
  * When removing a file, chmod it to 000 if it's a char or block
    device or remove its s[ug]id bits, if any (Bug#6006)
  * Minor fixes in the programmer's manual (Bug#6206)
  * Always create readable status and available files
    (Bug#9869,11887,14636,15786,19146)
  * Make dpkg-gencontrol honour -DArchtecture=xxxx (Bug#9893)
  * Allow different archs for the same binary in debian/files (Bug#9894)
  * Added workaround in /usr/lib/dpkg/methods/disk/setup
    to avoid bash warning (Bug#10111,10131)
  * Recognize old .deb packages with other locales (Bug#12232)
  * Added `SHELL=bash' to debian/rules: it uses bash-specific structs
  * Move some files from dpkg to dpkg-dev (part of Bug#13295)
  * Minor fix in packaging manual regarding to Standards-Version (Bug#14696)
  * Fixed --altdir and --admindir in update-alternatives (Bug#15332)
  * Strip /usr/lib/libdpkg* (Bug#15671)
  * dpkg: send output of --help, --force-help and -Dhelp to stdout
    (Bug#16051,18574)
  * send correct signals with start-stop-daemon (Bug#17258)
  * Make `dpkg-divert --test --remove' work as expected (Bug#19531)
  * Determine properly the architecture if gcc is egcs (Bug#20353)

 -- Juan Cespedes <cespedes@debian.org>  Sun,  5 Apr 1998 17:37:01 +0200

dpkg (1.4.0.21) unstable; urgency=low

  * Non-maintainer release to include a new update-rc.d
  * Fixed date on files in the archive from 2017 and 2018 by running
    touch foo; find . -newer foo | xargs -r touch; rm foo
  * Changed start-stop-deamon message "No <program> found; none killed." to
    "No <program> found running; none killed."

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Thu,  5 Mar 1998 14:19:46 +0100

dpkg (1.4.0.20) unstable; urgency=low

  * Disabled --force-overwrites.
  * Removed core file from source

 -- Michael Alan Dorman <mdorman@debian.org>  Tue,  9 Jan 2018 03:34:28 -0500

dpkg (1.4.0.19) unstable; urgency=low

  * Changed methods/disk.setup to use output of
    'dpkg --print-installation-architecture' instead of hard-coded 
    '1386' (fixes #10995).
  * Patched dpkg-source to properly quote metacharacters in strings 
    before using them in pattern-matching expressions (fixes #10811).
  * Fixed several documentation typos (fixes #10764).
  * dpkg-source now works around 100-character filename limitation of cpio
    (fixes #10400).
  * dpkg-source now properly handles '\ no newline in source' message from
    patch (fixes #5041).
  
 -- Klee Dienes <klee@debian.org>  Sun, 13 Jul 1997 19:28:22 -0700

dpkg (1.4.0.18) unstable; urgency=low

  * dpkg-source now uses new -z option to GNU patch (still needs to be
    changed to detect and use old version as well) (fixes #9904, #10005, #10007).
  * Added i686 to archtable.
  * shlibs.default now uses xlib6 instead of elf-x11r6lib (fixes #9926).
  * debian-changelog-mode now uses interruptible completing type-in fields
    instead of the previous 'select-a-letter method'.  I consider this
    better and more standard than the previous way, but I'd welcome
    opinions to the contrary.  Consider this a 'probationary' change for
    now (fixes #9873, #9874).

 -- Klee Dienes <klee@debian.org>  Sun, 25 May 1997 09:56:08 -0400

dpkg (1.4.0.17) unstable; urgency=low

  * All of the dpkg binaries (but not dpkg-dev or dselect) now speak
    french, thanks to patches from Christophe Le Bars <clebars@teaser.fr>
  * Fix leading spaces before day in 822-date.
  * Changes from Tom Lees <tom@lpsg.demon.co.uk> to better support
    building on non-Debian systems; minor Makefile fixes.
  * Added 'ppc powerpc powerpc' to archtable.
  * Changed documentation paper size to US/Letter instead of A4 (A4
    may be better, but it's easier to print US/Letter on A4 than it is 
    to print A4 on US/Letter).
  
 -- Klee Dienes <klee@debian.org>  Tue,  13 May 1997 15:24:31 -0400

dpkg (1.4.0.16) experimental; urgency=low

  * Added generated sources to GNU-format source archive so it no longer
    requires perl to build.

 -- Klee Dienes <klee@debian.org>  Sat, 10 May 1997 17:34:29 -0400

dpkg (1.4.0.15) experimental; urgency=low

  * Changed dpkg-genchanges to check for ($arch == $substvar{'Arch'}), not
    ($arch ne 'all') (fixes #9688).
  * Fixed bug in start-stop-daemon.c (was using optarg after argument
    parsing was over) (fixes #9597, #9603, #9364).
  * Provide 50dpkg-dev.el for xemacs as well as emacs.
  * Explicitly provide path for debian-changelog-mode in 50dpkg-dev to use
    .el file as workaround until xemacs can read emacs19 .elc files.
  * Pass top_distdir explicitly to 'make dist' to accomodate bug in
    automake_1.1o-1.
  * Fix debian/build to make html documentation without including
    directories in tar archives (fixes #9348).
  
 -- Klee Dienes <klee@debian.org>  Fri,  9 May 1997 13:17:18 -0400

dpkg (1.4.0.14) experimental; urgency=low

  * Fixed buglet in install-info.pl (fixes #9438).
  * Re-write of update-rc.d.pl, primarily by Miquel van Smoorenburg
    <miquels@cistron.nl> (fixes #9434, #9436).


=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: dpkg
 Section: base
 Priority: required
-Maintainer: Ian Jackson <ian@chiark.greenend.org.uk>
+Maintainer: Klee Dienes and Ian Jackson <dpkg-maint@chiark.greenend.org.uk>
 Standards-Version: 2.1.0.0
 
 Package: dpkg
@@ -23,7 +23,7 @@
 Section: devel
 Priority: important
 Architecture: all
-Recommends: cpio (>= 2.4.2-2), patch
+Recommends: cpio (>= 2.4.2-2), patch (>= 2.2-1), gcc, make
 Conflicts: dpkgname
 Replaces: dpkgname, dpkg (<< 1.4.0)
 Description: Package building tools for Debian Linux

=== debian/rules ===
#!/usr/bin/make -f

SHELL=bash

.PHONY: clean build binary binary-trees binary-arch binary-indep

BUILD := $(shell pwd)/debian/build
DIR := $(shell pwd)

arch=$(shell dpkg --print-architecture)
mcidir=debian/tmp-main/DEBIAN


Makefile.in: Makefile.am
	$(checkdir)
	$(RM) config.status
	aclocal -I ./automake
	autoheader
	autoconf
	gettextize --force
	libtoolize --automake --copy --force
	$(RM) config.sub config.guess 
	ln -s /usr/share/automake/config.sub .
	automake --add-missing

$(BUILD)/Makefile: Makefile.in
	$(checkdir)
	$(RM) -r debian/build
	install -d debian/build
	cd $(BUILD) && ../../configure \
		--enable-shared --with-included-gettext \
		--prefix=/usr \
		--datadir=/usr/share \
		--sysconfdir=/etc \
		--sharedstatedir=/var/lib \
		--localstatedir=/var/lib

clean: $(BUILD)/Makefile
	$(checkdir)
	$(MAKE) -C $(BUILD) -i maintainer-clean
	$(RM) -r debian/{build,files,substvars,tmp*}
	$(RM) $(BUILD)/dpkg-*.tar.gz
	$(RM) po/*.gmo
	find . \( -name '*~' -o -name '#*#' \) -print0 | xargs -r0 $(RM) --

build: $(BUILD)/Makefile
	$(checkdir)
	$(MAKE) -C $(BUILD)

binary: binary-arch binary-indep

binary-trees: build
	$(checkdir)
	-$(RM) -r debian/tmp-{main,dev}
	install -d debian/tmp-{main,dev}/{DEBIAN,etc/dpkg,usr/doc/dpkg}
	install -d debian/tmp-dev/usr/{lib/dpkg,doc/dpkg-dev,man/man1,man/man8,sbin,bin}
	install -d debian/tmp-main/sbin
	set -e; if [ $(arch) = i386 ]; then \
		sed -e 's/^# i386elf: //' <debian/preinst >$(mcidir)/preinst ; \
	else \
		sed -e '/^# i386elf: /d' debian/preinst >$(mcidir)/preinst ; \
	fi
	set -e; if [ -f debian/shlibs.default.$(arch) ]; then \
		echo /etc/dpkg/shlibs.default >debian/tmp-dev/DEBIAN/conffiles ; \
		cp debian/shlibs.default.$(arch) \
			debian/tmp-dev/etc/dpkg/shlibs.default ; \
	fi
	cp debian/{prerm,postinst} $(mcidir)/.
	install -d debian/tmp-dev/etc/emacs/site-start.d
	install -c debian/50dpkg-dev.el debian/tmp-dev/etc/emacs/site-start.d/
	install -d debian/tmp-dev/etc/xemacs/site-start-19.d
	install -c debian/50dpkg-dev.el debian/tmp-dev/etc/xemacs/site-start-19.d/
	chmod +x $(mcidir)/{postinst,prerm,preinst}
	$(MAKE) -C $(BUILD) top_distdir=. dist 
	$(MAKE) -C $(BUILD) \
		prefix=$(DIR)/debian/tmp-main/usr \
		sysconfdir=$(DIR)/debian/tmp-main/etc \
		datadir=$(DIR)/debian/tmp-main/usr/share \
		sharedstatedir=$(DIR)/debian/tmp-main/var/lib \
		localstatedir=$(DIR)/debian/tmp-main/var/lib \
		install
	find debian/tmp-main/usr/man -type f | xargs gzip -9vf
	set -e; for f in dpkg-buildpackage dpkg-gencontrol dpkg-distaddfile \
		  dpkg-parsechangelog dpkg-genchanges dpkg-shlibdeps; do \
		rm debian/tmp-main/usr/man/man1/$$f.1; \
		ln -s dpkg-source.1.gz debian/tmp-main/usr/man/man1/$$f.1.gz ; \
	done
	gzip -9vf debian/tmp-main/usr/doc/dpkg/changelog*
	cp debian/copyright debian/tmp-main/usr/doc/dpkg/copyright
	cp debian/copyright debian/tmp-dev/usr/doc/dpkg-dev/copyright
	cp debian/dev-README debian/tmp-dev/usr/doc/dpkg-dev/README
	set -e; for f in \
 usr/doc/dpkg/{internals.html,developer-keys.pgp,changelog.manuals.gz} \
 usr/bin/dpkg-{source,genchanges,gencontrol,shlibdeps,buildpackage,parsechangelog} \
 usr/bin/{dpkg-distaddfile,822-date,dpkg-scanpackages,dpkg-name} \
 usr/man/man1/dpkg-{source,genchanges,gencontrol,shlibdeps,buildpackage}.1.gz \
 usr/man/man1/{dpkg-parsechangelog,dpkg-distaddfile,822-date,dpkg-name}.1.gz \
 usr/man/man5 usr/man/man8/dpkg-scanpackages.8.gz \
 usr/lib/dpkg/parsechangelog usr/lib/dpkg/controllib.pl \
 usr/doc/dpkg/packaging.html \
		; do mv debian/tmp-main/$$f debian/tmp-dev/$$f; done

binary-indep: binary-trees
	$(checkdir)
	dpkg-gencontrol -pdpkg-dev -Pdebian/tmp-dev
	chown -R root.root debian/tmp-dev
	chmod -R g-ws,a+r,u+w debian/tmp-dev
	dpkg-deb --build debian/tmp-dev ..
	set -e -x; for f in internals packaging; do \
		if test -f $(BUILD)/doc/$$f.ps; then \
			cp -p $(BUILD)/doc/$$f.ps $(DIR)/..; \
		elif test -f $(DIR)/doc/$$f.ps; then \
			cp -p $(DIR)/doc/$$f.ps $(DIR)/..; \
		else \
			echo "unable to locate $$f.ps"; false; \
		fi; \
		gzip -9vf $(DIR)/../$$f.ps; \
		dpkg-distaddfile -f$(DIR)/debian/files $$f.ps.gz byhand -; \
		if test -d $(BUILD)/doc/$$f.html; then \
			GZIP=-9vf tar -C $(BUILD)/doc -zcf $(DIR)/../$$f.html.tar.gz $$f.html; \
		elif test -d $(DIR)/doc/$$f.html; then \
			GZIP=-9vf tar -C $(DIR)/doc -zcf $(DIR)/../$$f.html.tar.gz $$f.html; \
		else \
			echo "unable to locate $$f.html"; false; \
		fi; \
		dpkg-distaddfile -f$(DIR)/debian/files $$f.html.tar.gz byhand -; \
	done
	set -e; \
		version=`sed -n 's/^Version: //p' $(DIR)/debian/tmp-dev/DEBIAN/control`; \
		file=dpkg-$${version}.tar.gz; \
		cp $(BUILD)/$${file} $(DIR)/..; \
		dpkg-distaddfile -f$(DIR)/debian/files $${file} byhand -;

binary-arch: binary-trees
	$(checkdir)
	mv debian/tmp-main/usr/sbin/start-stop-daemon debian/tmp-main/sbin/start-stop-daemon
	-strip debian/tmp-main/usr/{bin,sbin}/*	debian/tmp-main/sbin/*
	-strip --strip-unneeded debian/tmp-main/usr/lib/libdpkg.so.*
	-strip --strip-debug debian/tmp-main/usr/lib/libdpkg.a
	dpkg-shlibdeps -dPre-Depends debian/tmp-main/usr/{bin,sbin}/*
	dpkg-gencontrol -pdpkg -Pdebian/tmp-main
	chown -R root.root debian/tmp-main
	chmod -R g-ws,a+r,u+w debian/tmp-main
	set -e; \
		version=`sed -n 's/^Version: //p' $(DIR)/debian/tmp-main/DEBIAN/control`; \
		file=dpkg_$${version}_$(arch).nondebbin.tar; \
		tar -C $(DIR)/debian/tmp-main -cf $(DIR)/../$${file} usr var; \
		gzip -9vf $(DIR)/../$${file}; \
		dpkg-distaddfile -f$(DIR)/debian/files $${file}.gz byhand -
	dpkg-deb --build debian/tmp-main ..

define checkdir
	test -f include/dpkg.h.in
endef

## dpkg 1.4.0.35

=== debian/changelog ===
dpkg (1.4.0.35) stable; urgency=low

  * Non-maintainer upload.
  * Reverted workaround. Compiling without the options
    --with-included-gettext solves the core-dump problem.

 -- Raphael Hertzog <rhertzog@hrnet.fr>  Wed, 21 Apr 1999 16:33:44 +0200

dpkg (1.4.0.34) frozen; urgency=high

  * Non-maintainer upload
  * Apply workaround for dpkg-deb crashes when LANG, LC_SET is set.

 -- Guy Maor <maor@debian.org>  Tue,  2 Mar 1999 00:50:16 -0800

dpkg (1.4.0.33) frozen; urgency=high

  * Non-maintainer upload
  * WARNING: please don't change the severity of the mentioned bugs to fixed,
    since this upload is NOT going to potato but only to slink
  * Fix illegal perl construct (Bug# 30985)
  * Initialize oialtname->useinstead and oicontest->camefrom to 0 (Bug# 30397)
  * Update shlibs.default for libncurses 4 (Bug# 30332)
  * Suggest debian-keyring instead of developer-keyring (Bug# 27376, 30248)
  * Abort dpkg-divert when attempting to divert a directory (Bug# 30126)
  * Make dpkg-deb.1 aware that it is in section 1, not 8
  * Fix section in reference to dpkg-deb in dpkg.8 (Bug# 29740)
  * Fix typo in --force-help (Bug# 26193)
  * Correct path for debian-changelog-mode.el (Bug# 24606)
  * Make disk-method for dpkg use /var/run instead of /tmp to fix
    symlink-attacks (Bug# 21399)
  * Document -n and -f options for update-rc.d in manpage (Bug# 15913)
  * Add --abort-after option to change after how many errors we abort and
    change the default to 50 (Bug# 22940)
  * Fix controllib.pl: don't check debian/substvars unless needed, and
    don't depend on language settings (Bug# 31508)
  * Allow a - in the architecture-field (Bug# 25537)

 -- Wichert Akkerman <wakkerma@debian.org>  Wed, 20 Jan 1999 00:23:06 +0100

dpkg (1.4.0.32) frozen; urgency=high

  * NMU: (Not uploaded in unstable which has dpkg-1.4.1)
    Apply patch from Jim Pick for update-alternatives.pl to
    fix 'Important' bugs #30891 in dpkg and (#27382, #27383, #27696,
    #27703, #27736, #27097(merged bugs)) in jdk1.1.

 -- Vincent Renardias <vincent@waw.com>  Wed,  6 Jan 1999 15:27:42 +0100

dpkg (1.4.0.31) unstable; urgency=low

  * dpkg/processarc.c: Make newfileslist static like the other arguments
    for register_cleanup's cu_* functions.
  * N-th fix for controllib.pl (simulate old behavior by trying stdin,
    stdout, and stderr for getlogin()).
  * Enable --force-overwrite for slink release, and comment where to do
    so (dpkg/main.c).
  * Recompile against ncurses4.

 -- Daniel Jacobowitz <dan@debian.org>  Thu, 22 Oct 1998 17:37:23 -0400

dpkg (1.4.0.30) unstable; urgency=low

  * dpkg-dev isn't allowed to have a Recommends: debian-keyring (as that's
    in contrib), so it's now lowered to a Suggests: . Thanks to James Troup
    for pointing this out. 

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Sat, 26 Sep 1998 13:59:23 +0200

dpkg (1.4.0.29) unstable; urgency=low

  * For now, prefer PGP over GPG.

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Tue, 22 Sep 1998 09:38:09 +0200

dpkg (1.4.0.28) unstable; urgency=low

  * Added gpg (GNU Privacy Guard) support:
    * scripts/buildpackage.sh: default to GPG (unless no GPG, but only a PGP
      secret key file is found), as GPG, unlike PGP, is DFSG-free.
    * Updated dpkg-source(1), and added gpg(1) and pgp(1) to the SEE ALSO
      section.
    * Worked around broken textmode implementation in GPG.
    * dpkg-dev now Suggests: gnupg .
  * No longer includes developer-keys.pgp . Instead, dpkg now Suggests: and
    dpkg-dev now Recommends: developer-keyring.
  * Compiled with latest libstdc++ (2.9).

 -- J.H.M. Dassen (Ray) <jdassen@wi.LeidenUniv.nl>  Mon, 21 Sep 1998 13:17:14 +0200

dpkg (1.4.0.27) unstable; urgency=low

  * REALLY fixed dpkg-dev, and new attempt to placate installer on internals.

 -- Daniel Jacobowitz <dan@debian.org>  Fri, 27 Jul 1998 15:58:04 -0400

dpkg (1.4.0.26.0.1) unstable; urgency=low

  * Binary-only upload for x86 and fixed dpkg-dev

 -- Daniel Jacobowitz <dan@debian.org>  Fri, 24 Jul 1998 15:58:04 -0400

dpkg (1.4.0.26) unstable; urgency=low

  * Non-maintainer upload.

  * Make --root work with maintainer scripts (Patch by Scott Barker,
    bugs #4863 and #3170).
  * Fix $(lispdir) bug if compiling without emacs (noticed by Joey Hess).

 -- Daniel Jacobowitz <dan@debian.org>  Thu, 23 Jul 1998 12:02:04 -0400

dpkg (1.4.0.25) unstable; urgency=low

  * Non-maintainer upload.
  
  * Add the requested -nc option to dpkg-buildpackage (Do
    not clean source tree, useful in debugging cycles).
  * controllib.pl: Again by popular acclamation, fix the getlogin() warnings.
    I redirected STDERR onto fd 0 before calling getlogin().
  * tools.m4: Fix display of whether c++ works.
  * dpkg-deb/extract.c: glibc 2.1 and some kernels want to make
    fflush() move the current fpos.  Until someone can fix that,
    protect with seek.
  * Add an extra 0, to dselect/{pkg,meth}keys.cc so it compiles again.
  * Start using lchown() if available.
  * Really fix #20353. (aclocal.m4 was the wrong place; that's a generated
    file.  The correct place is in tl_canon.m4.)

 -- Daniel Jacobowitz <dan@debian.org>  Tue, 21 Jul 1998 03:14:14 -0400

dpkg (1.4.0.24) unstable; urgency=low

  * Non-maintainer upload.

  * dpkg/main.c: Turn --force-overwrite off as default.
  * dpkg/main.c: don't list --force-overwrite as default in --force-help,
    noticed by Peter Weiss <Peter.Weiss@Informatik.Uni-Oldenburg.DE> and
    others. [#23542, part of #17409].
  * dpkg/dpkg.8: replaced with a newer version from Jim Van Zandt
    <jrv@vanzandt.mv.com>. [#21061]

  * dpkg-deb/build.c (do_build): add missing \n and improve error message
    when conffile name is too long. [#7057]

  * scripts/update-alternatives.8: replaced with better man page from
    Charles Briscoe-Smith <cpb4@ukc.ac.uk>. [#17283]
  * scripts/dpkg-source.1: corrected logic error in documentation for
    dpkg-gencontrol's -p option, as noticed by Oliver Elphick


=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
 Architecture: any
 Essential: yes
 Pre-Depends: ${shlibs:Pre-Depends}
+Suggests: debian-keyring
 Description: Package maintenance system for Debian Linux
  This package contains the programs which handle the installation and
  removal of packages on your system.
@@ -23,7 +24,9 @@
 Section: devel
 Priority: important
 Architecture: all
+Depends: perl
 Recommends: cpio (>= 2.4.2-2), patch (>= 2.2-1), gcc, make
+Suggests: gnupg, developer-keyring
 Conflicts: dpkgname
 Replaces: dpkgname, dpkg (<< 1.4.0)
 Description: Package building tools for Debian Linux

=== debian/rules ===
--- 
+++ 
@@ -28,12 +28,34 @@
 	$(RM) -r debian/build
 	install -d debian/build
 	cd $(BUILD) && ../../configure \
-		--enable-shared --with-included-gettext \
+		--enable-shared \
 		--prefix=/usr \
 		--datadir=/usr/share \
 		--sysconfdir=/etc \
 		--sharedstatedir=/var/lib \
 		--localstatedir=/var/lib
+# libtool -rpath workaround based on a suggestion by Yann Dirson
+# <dirson@debian.org>
+#
+# It is supposed to be inserted in configure.in, but I didn't want
+# to re-run autoconf (since that bloats the Debian diff unnecessarily),
+# so I just patch libtool after running configure.  -- Richard Braakman
+# <dark@xs4all.nl>
+#
+# The version of libtool included with LessTif unfortunately insists on
+# linking with -rpath, i.e. hardwiring locations. This is not desirable.
+#
+# The dummy define is improbable enough not to conflict with anything; it is
+# just here to fool libtool by making it believe it gave some useful info to
+# gcc.
+	sed < $(BUILD)/libtool > $(BUILD)/libtool.foo \
+		's/^hardcode_libdir_flag_spec.*$$/hardcode_libdir_flag_spec=" -D__LIBTOOL_IS_A_FOOL__ "/'
+	mv $(BUILD)/libtool.foo $(BUILD)/libtool
+# More hackery: this will also patch the generated libtool to explicitly
+# link libraries against the libraries they depend on.  (particularly libc)
+	sed < $(BUILD)/libtool > $(BUILD)/libtool.foo '/^archive_cmds="/s/"$$/ \\$$deplibs"/'
+	mv $(BUILD)/libtool.foo $(BUILD)/libtool
+	chmod 755 $(BUILD)/libtool
 
 clean: $(BUILD)/Makefile
 	$(checkdir)
@@ -41,6 +63,7 @@
 	$(RM) -r debian/{build,files,substvars,tmp*}
 	$(RM) $(BUILD)/dpkg-*.tar.gz
 	$(RM) po/*.gmo
+	$(RM) config.log
 	find . \( -name '*~' -o -name '#*#' \) -print0 | xargs -r0 $(RM) --
 
 build: $(BUILD)/Makefile
@@ -85,19 +108,19 @@
 		rm debian/tmp-main/usr/man/man1/$$f.1; \
 		ln -s dpkg-source.1.gz debian/tmp-main/usr/man/man1/$$f.1.gz ; \
 	done
+	ln -s ../man7/undocumented.7.gz debian/tmp-main/usr/man/man1/dpkg-divert.1.gz
 	gzip -9vf debian/tmp-main/usr/doc/dpkg/changelog*
 	cp debian/copyright debian/tmp-main/usr/doc/dpkg/copyright
 	cp debian/copyright debian/tmp-dev/usr/doc/dpkg-dev/copyright
 	cp debian/dev-README debian/tmp-dev/usr/doc/dpkg-dev/README
 	set -e; for f in \
- usr/doc/dpkg/{internals.html,developer-keys.pgp,changelog.manuals.gz} \
+ usr/doc/dpkg/{internals.html,changelog.manuals.gz} \
  usr/bin/dpkg-{source,genchanges,gencontrol,shlibdeps,buildpackage,parsechangelog} \
  usr/bin/{dpkg-distaddfile,822-date,dpkg-scanpackages,dpkg-name} \
  usr/man/man1/dpkg-{source,genchanges,gencontrol,shlibdeps,buildpackage}.1.gz \
  usr/man/man1/{dpkg-parsechangelog,dpkg-distaddfile,822-date,dpkg-name}.1.gz \
  usr/man/man5 usr/man/man8/dpkg-scanpackages.8.gz \
  usr/lib/dpkg/parsechangelog usr/lib/dpkg/controllib.pl \
- usr/doc/dpkg/packaging.html \
 		; do mv debian/tmp-main/$$f debian/tmp-dev/$$f; done
 
 binary-indep: binary-trees
@@ -106,7 +129,7 @@
 	chown -R root.root debian/tmp-dev
 	chmod -R g-ws,a+r,u+w debian/tmp-dev
 	dpkg-deb --build debian/tmp-dev ..
-	set -e -x; for f in internals packaging; do \
+	set -e -x; for f in internals; do \
 		if test -f $(BUILD)/doc/$$f.ps; then \
 			cp -p $(BUILD)/doc/$$f.ps $(DIR)/..; \
 		elif test -f $(DIR)/doc/$$f.ps; then \

## dpkg 1.6.13

=== debian/changelog ===
dpkg (1.6.13) frozen unstable; urgency=low

  * Add Format-flag to .dsc format: we know we are going to change the
    format in the next release, this change will make dpkg-source abort
    with a reasonable error instead of doing unexpected things.
  * Fix error in gettext'ized string
  * Updated Czech, French, Polish and Spanish translations. Closes: Bug#63663
  * debian-changelog-mode.el: fix documentation string for
    debian-changelog-finalise-last. Closes: Bug#63003

 -- Wichert Akkerman <wakkerma@debian.org>  Mon,  8 May 2000 16:08:53 +0200

dpkg (1.6.12.99) frozen unstable; urgency=low

  * Pre-release for 1.6.13. which will only feature translation updates
  * Fix typo in dpkg-divert, Closes: Bug#60243
  * dpkg-genchanges: recognize non-deb packages (tarballs, such as
    dpkg-non-deb and boot-floppies disk tarballs). This makes sure that we
    include them when figuring out the Arch field in the .changes
  * mark another string as translateable, Closes: Bug#62543
  * fix location of --abort-after in --help output, Closes: Bug#62464
  * fix allocation error in checkpath(), Closes: Bug#62364
  * add Hold to list of desired package states in -l output, Closes: Bug#58765

 -- Wichert Akkerman <wakkerma@debian.org>  Fri, 21 Apr 2000 11:52:59 +0200

dpkg (1.6.12) frozen unstable; urgency=high

  * Fix test for gpg/pgp in dpkg-buildpackage. You can now build
    unsigned packages again. Closes: Bug#60395
  * Updated Spanish and Swedish translations. Closes: Bug#41735
  * Merge patch from Joel Klecker to remove emacsen-common stuff from dpkg-dev

 -- Wichert Akkerman <wakkerma@debian.org>  Mon,  3 Apr 2000 16:50:02 +0200

dpkg (1.6.11) frozen unstable; urgency=high

  * Oops, missed one case where the libc/ncurses conflict reared its
    ugly head and broke dselect miserably. 
  * fix syntax error in dpkg-divert. Closes: Bug#60050

 -- Wichert Akkerman <wakkerma@debian.org>  Fri, 10 Mar 2000 11:52:07 +1100

dpkg (1.6.10) frozen unstable; urgency=low

  * The `it rains in Sydney' release
  * Add evil workaround in dselect to compile with libc/ncurses conflict
  * Mark another string in dselect as translateable, Closes: Bug#58618
  * Fix typos, Closes: Bug#58619
  * Change dselect keybindings slightly so `n' really does searchagain
  * Updated Czech and Spanish translations, Closes: Bug#58617
  * dpkg-divert.pl: reinstate last writeability-patch. Modified
    to not abort on ENOENT: this indicates a directory does not (yet)
    exist. If this happens don't try to rename. This should fix all
    current dpkg-divert problems. Closes: Bug#59207,#58596
  * update-alternatives: switch back to auto-mode when manually selected
    alternative is removed, Closes: Bug#54933
  * dselect no longer segfaults on SIGWINCH but does The Right Thing
    instead. Closes: Bug#54303,#58697,#59419
  * dpkg-buildpackage checks if pgp or gpg are installed and default
    to no signing if they aren't there, Closes: Bug#59573
  * dpkg-shlibdeps: handle "not found" message form ldd, Closes: Bug#59483

 -- Wichert Akkerman <wakkerma@debian.org>  Fri, 10 Mar 2000 13:52:42 +1100

dpkg (1.6.9) frozen unstable; urgency=low

  * Fix typo in update-alternatives manpage
  * dpkg-architecture: -q should not imply -f, Closes: Bug#57761
  * Cleanup bits of install-info to make it more stable
  * Fix Build-Dependency for ncurses, Closes: Bug#58073
  * Some more documentation updates, Closes: Bug#57985
  * Revert patch to check for writeable filesystems in dpkg-divert,
    Closes: Bug#57840

 -- Wichert Akkerman <wakkerma@debian.org>  Fri, 18 Feb 2000 12:11:58 +0100

dpkg (1.6.8) frozen unstable; urgency=low

  * Turn --force-overwrite on by default
  * Fix a couple of small buildsystem errors
  * Support multiple adjacent newlines in control-style files, Closes: Bug#56056
  * Updated Czech and Swedish translations
  * Revert patch to change order of things when purging a package,
    Closes: Bug#56374
  * Handle failed open of /dev/tty in dpkg -l, Closes: Bug# 55041
  * Update Japanese translations, Closes: Bug# 56641, #57494, #57595
  * Update extended description for dpkg-dev, Closes: Bug# 56675
  * Implement verbose option for update-alternative
  * Fix conflicts handling

 -- Wichert Akkerman <wakkerma@debian.org>  Thu, 10 Feb 2000 15:31:31 +0100

dpkg (1.6.7) frozen unstable; urgency=low

  * dpkg compiles on HP-UX, Solaris and IRIX now
  * start-stop-daemon can chroot now, Closes: Bug#54513
  * Allow space between # and the bugnumber in the changelog
  * Display package description with waddnstr, Closes: Bug#54313
  * Updated Japanese manpages, Closes: Bug#54690, #55080
  * Upload full source for packages with version *-0.1, Closes: Bug#54651

 -- Wichert Akkerman <wakkerma@debian.org>  Sun, 16 Jan 2000 18:36:10 +0100

dpkg (1.6.6) unstable; urgency=low

  * dpkg-buildpackage supports debsign, Closes: Bug#58333
  * fix update-alternatives manpage, Closes: Bug#53859
  * Updated Polish translation
  * Pass admindir to dpkg, Closes: Bug#54039
  * Fix dpkg -l output
  * Remove dpkg-safelist again, it had issues

 -- Wichert Akkerman <wakkerma@debian.org>  Fri,  7 Jan 2000 19:51:45 +0100

dpkg (1.6.5) unstable; urgency=low

  * Update Spanish translation
  * Don't strip 8th bit in dselect packagelists, Closes: Bug# 49061
  * Don't use \z in dpkg-scansources, Closes: Bug# 53182
  * Correctly unregister internals manual, Closes: Bug# 53200
  * dselect helpessages can be translated now, Closes: Bug# 51381
  * dselect UI tweaks, including a new --expert mode
  * Added build-depends, Closes: Bug# 53394
  * Added THANKS-file with people who have contributed to the code
  * Use full width of tty in packagelisting, Closes: Bug# 53395
  * Add -z option to dpkg-deb to set compressionlevel when building
    packages, Closes: Bug# 53398
  * Fix segfaults when producing a diff between current and new conffile,
    Closes: Bug# 52197

 -- Wichert Akkerman <wakkerma@debian.org>  Sat, 25 Dec 1999 04:47:09 +0100



=== debian/control ===
Source: dpkg
Section: base
Priority: required
Maintainer: Wichert Akkerman <wakkerma@debian.org>
Standards-Version: 3.1.0
Build-Depends: debiandoc-sgml, libncurses-dev

Package: dpkg
Architecture: any
Essential: yes
Pre-Depends: ${shlibs:Pre-Depends}
Replaces: dpkg-doc-ja
Description: Package maintenance system for Debian
 This package contains the programs which handle the installation and
 removal of packages on your system.
 .
 The primary interface for the dpkg suite is the `dselect' program;
 a more low-level and less user-friendly interface is available in
 the form of the `dpkg' command.
 .
 In order to unpack and build Debian source packages you will need to
 install the developers' package `dpkg-dev' as well as this one.

Package: dpkg-dev
Section: devel
Priority: important
Architecture: all
Depends: perl5, cpio (>= 2.4.2-2), patch (>= 2.2-1), make
Recommends: c-compiler
Suggests: gnupg, debian-keyring
Conflicts: dpkgname
Replaces: dpkgname, dpkg (<< 1.4.1.8), dpkg-doc-ja
Description: Package building tools for Debian
 This package contains the tools (including dpkg-source) required to
 unpack, build and upload Debian source packages.
 .
 Most Debian source packages will require additional tools to build -
 for example, most packages need the `make' and the C compiler `gcc'.

Package: dpkg-doc
Section: doc
Priority: extra
Architecture: all
Replaces: dpkg-dev (<<1.4.1.19)
Description: Dpkg Internals Documentation
 This document describes the internal operations of the dpkg program. It
 covers building aswell as the internals functions. If you are interested
 in creating your own packages, then you may be more interested in the
 packaging-manual documentation package.

## dpkg 1.6.14

=== debian/changelog ===
dpkg (1.6.14) frozen unstable; urgency=low

  * Fix polish translation for dselect. Closes: Bug#63986
  * Add Italian translation
  * Update Swedish translation
  * Update Japanese translate for update-alternatives.8. Closes: Bug#64172
  * Fix some errors in the English version of update-alternatives.8 that
    our Japanese friends found as well.

 -- Wichert Akkerman <wakkerma@debian.org>  Tue, 20 Jun 2000 17:11:13 +0200
